Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

My computer says I don't have enough privileges to replace vers. 3.6.4 with 3.6.6

more options

My mac won't let me replace Firefox 3.6.4 with 3.6.6 because I don't have enough privileges. What do I need to do.

== I downloaded 3.6.6, even after I rebooted.

All Replies (1)

more options

Make sure you are using the same OSX account you used to install 3.6.4.